Subject: bug#11850: crash (null font) running emacs built from git

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jul 2012 19:43:39 +0300

> Date: Sun, 8 Jul 2012 18:58:30 +0300
> From: Yotam Medini יותם מדיני <[email-masked]>
> Cc: [email-masked], Chong Yidong <[email-masked]>
> 
> I applied this patch, build with the config-switches you have suggested.
> Running it (not thru gdb this time...) gave:
> 
>  yotamm@huby:emacs:549> /usr/local/bin/emacs
> 
>  xdisp.c:22676: Emacs fatal error: assertion failed: s->font
>  Fatal error (6)Aborted

You need to remove the eassert lines you added previously.  They are
not needed anymore.

> I understand that Chong suggested some test steps.
> Please resolve exactly what you would like me to try.

Chong, could you please spell that out?

> I would love to help, but my time with this environment
> (where home-built emacs fails) is limited.

In any case, next time you can update from the repository, build that
version and see if the problem persists.